%define debug_package %{nil}
%define major 0
%define libname %mklibname %{name}_ %{major}
%define develname %mklibname %{name} -d

Name:           g2clib
Version:        1.6.0
Release:        %mkrel 3
Summary:        GRIB2 encoder/decoder and search/indexing routines in C

Group:          Sciences/Mathematics
License:        Public Domain
URL:            http://www.nco.ncep.noaa.gov/pmb/codes/GRIB2/
Source0:        http://www.nco.ncep.noaa.gov/pmb/codes/GRIB2/g2clib-%{version}.tar
Source1:        g2clib-msg.txt
#Patch to fix up printf arguments on 64-bit machines
Patch0:         g2clib-1.2.1-64bit.patch
# Patch to remove multiple definitions of templates
Patch1:         g2clib-templates.patch
# Patch from Wesley Ebisuzaki <wesley.ebisuzaki@noaa.gov> to fix sigfault
# if simunpack() is called with 0 values to unpack
Patch2:         g2clib-simunpack.patch
# Patch from degrib - appears to fix projection issues
Patch3:         g2clib-degrib.patch
# Fix build with Jasper 2
Patch4:         g2clib-jasper2.patch

BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(jasper)

%description
This library contains "C" decoder/encoder
routines for GRIB edition 2.  The user API for the GRIB2 routines
is described in file "grib2c.doc".


%package -n     %develname
Summary:        Development files for %{name}
Group:          Development/C
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       libpng-devel jasper-devel

%description -n %develname
This library contains "C" decoder/encoder
routines for GRIB edition 2.  The user API for the GRIB2 routines
is described in file "grib2c.doc".

The %{develname} package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .64bit
%patch1 -p1 -b .templates
%patch2 -p1 -b .simunpack
%patch3 -p1 -b .degrib
%patch4 -p1 -b .jasper2
chmod a-x *.h *.c README CHANGES grib2c.doc makefile
cp -p %{SOURCE1} .


%build
CFLAGS="$RPM_OPT_FLAGS -DUSE_PNG -DUSE_JPEG2000"

%ifarch sparc64 s390x %{mips64}
CFLAGS="$CFLAGS -D__64BIT__ -fPIC"
%endif
%ifarch x86_64 ia64 %{power64} aarch64
CFLAGS="$CFLAGS -D__64BIT__ -fpic"
%endif
%ifarch %{ix86} %{arm} %{mips32}
CFLAGS="$CFLAGS -fpic"
%endif

make CFLAGS="$CFLAGS" CC="%{__cc}" ARFLAGS=


%install
mv libg2c_v1.6.0.a libgrib2c.a
mkdir -p $RPM_BUILD_ROOT%{_libdir} $RPM_BUILD_ROOT%{_includedir}
install -p -m0644 libgrib2c.a $RPM_BUILD_ROOT%{_libdir}
install -p -m0644 grib2.h $RPM_BUILD_ROOT%{_includedir}
install -p -m0644 drstemplates.h $RPM_BUILD_ROOT%{_includedir}
install -p -m0644 gridtemplates.h $RPM_BUILD_ROOT%{_includedir}
install -p -m0644 pdstemplates.h $RPM_BUILD_ROOT%{_includedir}

%files -n %develname
%doc README CHANGES grib2c.doc g2clib-msg.txt
%{_libdir}/libgrib2c.a
%{_includedir}/grib2.h
%{_includedir}/drstemplates.h
%{_includedir}/gridtemplates.h
%{_includedir}/pdstemplates.h


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.6.0-3.mga8
+ Revision: 1512372
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.6.0-2.mga7
+ Revision: 1297813
- Mageia 7 Mass Rebuild
+ josh <josh>
- Delete old tarball

* Mon Nov 20 2017 josh <josh> 1.6.0-1.mga7
+ Revision: 1177942
- Add new source tarball
- Create package for MGA7; update to version 1.6.0

* Fri Mar 03 2017 daviddavid <daviddavid> 1.4.0-8.mga6
+ Revision: 1088613
- sync more package with fedora's one:
  * Add patch to fix build with jasper 2
  * Add support for MIPS
  * Add patch from degrib that appears to fix some projection issues

* Thu Feb 11 2016 umeabot <umeabot> 1.4.0-7.mga6
+ Revision: 953970
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 neoclust <neoclust> 1.4.0-6.mga6
+ Revision: 875176
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-5.mga5
+ Revision: 742231
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0-4.mga5
+ Revision: 679394
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.4.0-3.mga4
+ Revision: 536919
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 joequant <joequant> 1.4.0-2.mga4
+ Revision: 485827
- add provides tag

* Wed Sep 25 2013 joequant <joequant> 1.4.0-1.mga4
+ Revision: 485782
- imported package g2clib

